package com.ebei.screen.service.impl;

import com.ebei.screen.common.response.ResponseBean;
import com.ebei.screen.common.response.ResponseBuilder;
import com.ebei.screen.common.util.EbaUtils;
import com.ebei.screen.modules.po.Test;
import com.ebei.screen.service.EbaSystemService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * EBA系统大屏
 *
 * @author Levi.u
 * @date 2021/1/13 14:30
 */
@Slf4j
@Service("ebaSystemService")
@Transactional(rollbackFor = {Exception.class})
public class EbaSystemServiceImpl implements EbaSystemService {

    @Autowired
    private MongoTemplate mongoTemplate;

    @Override
    public ResponseBean<List<Test>> test() {
        List<Test> all = mongoTemplate.findAll(Test.class);
        return ResponseBuilder.ok(all);
    }

    @Override
    public void getProjectList() {
        List<Map> projectList = EbaUtils.getProjectList();
        //mongoTemplate.dropCollection("test");
        mongoTemplate.insert(projectList,"test");
    }
}
